/** @type {import('tailwindcss').Config} config */

const config = {
  content: ['./index.php', './app/**/*.php', './resources/**/*.{php,vue,js}'],
  theme: {
    extend: {
      colors: {
        'jlg': {
          'dark-blue': '#010d19',
          'white': '#f5fefe',
          'light-white': '#f5fefeaa',
          'xlight-white': 'rgba(245, 254, 254, 0.15)',
          'hxlight-white': 'rgba(245, 254, 254, 0.35)',
          'axlight-white': 'rgba(245, 254, 254, 0.20)'
        }
      }, // Extend Tailwind's default colors   
      fontFamily: {
        'authentic': ['Authentic_Sans', 'sans-serif'],
        'authentic-60': ['Authentic_Sans_60', 'sans-serif'],
        'caslon': ['Libre_Caslon', 'serif'],
      },
      fontSize: {
        sm: '13px',
        base: '15px',
        lg: '18px',
        xl: '21px',
        '2xl': '35px'
      }
    },
  },
  plugins: [],
};

export default config;